// FUNCTION FOR TRACKING TIME
#pragma once

#include <ctime>
double diffclock( clock_t clock1, clock_t clock2 );

//  CLASS FOR SETTING UP CAMERA

class Camera 
{
public:
        float aspect;
        int windowHeight;
        int windowWidth;
        float fov;
        float nearval;
        float farval;
        float orthoHeight;

        Camera();
        void doCamera();
        void doCameraPerspective( int w, int h );
        void doCameraOrthographic( int w, int h);
};

class Grid 
{
public: 
		// size of each grid square
		float size;
		float bordersize;
		// size of space between squares
		float space;
		float edge;
		float scoreDisplay;
		
		// x and y position for square
		float squarex;
		float squarey;
		float squarez;
		
		// maximum number of rows and columns in the grid
		int gridMax;
		
		float color[5][3];
		void colortable();
		
		Grid();
		
		// function to draw square
		void drawSquare( float squarex, float squarey, float squarez, float size, float space );
		// function to draw whole grid
		void drawGrid();
};
